Subject: [PATCH 1/1] regulator/fixed: set constraints.apply_uV to 0

From: [email-masked] (Mark Brown)
Date: Fri, 30 Dec 2011 10:30:27 +0000

On Fri, Dec 30, 2011 at 02:06:53PM +0800, Richard Zhao wrote:
> From: Richard Zhao <[email-masked]>
> 
> Fix fixed regulator failed to call regulator_register.
> 
> Fixed regulator does not support set voltage operation, so we
> don't need apply_uV.

No, the regulator drivers shouldn't be fiddling around with their
constraints.  Generally the answer is that users shouldn't set
constraints that won't work, or perhaps the API needs to be more
forgiving.